// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface OrderBlotterUpdateResponseDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.OrderBlotterUpdateResponseDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
   */
  int getUpdateTypeValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
   */
  com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto getUpdateType();

  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
   */
  java.util.List<com.accelfin.server.demo.fx.dtos.OrderDto> 
      getOrdersList();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
   */
  com.accelfin.server.demo.fx.dtos.OrderDto getOrders(int index);
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
   */
  int getOrdersCount();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
   */
  java.util.List<? extends com.accelfin.server.demo.fx.dtos.OrderDtoOrBuilder> 
      getOrdersOrBuilderList();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderDto orders = 2;</code>
   */
  com.accelfin.server.demo.fx.dtos.OrderDtoOrBuilder getOrdersOrBuilder(
      int index);
}
